<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddUserReq StructType
 * @subpackage Structs
 */
class AddUserReq extends APIRequest
{
    /**
     * The user
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XUser
     */
    public $user;
    /**
     * Constructor method for AddUserReq
     * @uses AddUserReq::setUser()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XUser $user
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XUser $user = null)
    {
        $this
            ->setUser($user);
    }
    /**
     * Get user value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XUser|null
     */
    public function getUser()
    {
        return $this->user;
    }
    /**
     * Set user value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XUser $user
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\AddUserReq
     */
    public function setUser(\\Losc\CucmBundle\Model\Webservice\StructType\XUser $user = null)
    {
        $this->user = $user;
        return $this;
    }
}
